#! /bin/sh
#. $BOOT_PREFIX/etc/boot.d/base-helper

script=`basename $0`
if [ "$1" = '-x' ]
then
    shift
    set -x
fi

op=$1
circuit=$2
shift 2

pid=/var/run/vpnc/pid

case $op in
    setup)
	#setup $@
	;;
    start)
	#vrfy_params exists $circuit params 0 $*
	#start $*
	;;
    stop)
	#vrfy_params exists $circuit params 0 $*
	#stop $*
	;;
    dial)
	#vrfy_params exists $circuit params 0 $*
        fli4lctrl dial pppoe
        status=$(fli4lctrl status pppoe)
        i=0
        while [ $status = offline -a $i -le 20 ]
	do
	    status=$(fli4lctrl status pppoe)

	    /bin/sleep 3
	    i=`expr $i + 1`
	done
	if [ $status = offline ]
        then 
           echo "pppoe failed" >&2
           exit 2
        fi
        sleep 30
	vpnc-connect
	;;
    hangup)
	#vrfy_params exists $circuit params 0 $*
	vpnc-disconnect
        fli4lctrl hangup pppoe
	;;
    dialmode)
	#vrfy_params exists $circuit params 1 $*
	#dialmode $*
	;;
    huptimeout)
	#vrfy_params exists $circuit params 1 $*
	#huptimeout $*
	;;
    status)
	PID="$(cat "$pid" 2> /dev/null)"
        if [ -z "$PID" ]; then
	    echo "offline"
	    exit 0
	fi

	if ! kill -0 "$PID" > /dev/null 2>&1; then
	    echo "offline"
	    exit 0
	fi
        echo online
        exit 1
	;;

    test)
	#test_script
	;;
    *)
	usage
 	;;
esac
